This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 3.197. __nv_jn

Prototype:

    double @__nv_jn(i32 %n, double %x)

Description:

Calculate the value of the Bessel function of the first kind of order `n` for the input argument `x`, J n ( x ) .

Returns:

Returns the value of the Bessel function of the first kind of order `n`.

- __nv_jn(`n`, NaN) returns NaN.

- __nv_jn(`n`, `x`) returns NaN for `n` < 0.

- __nv_jn(`n`, + ∞ ) returns +0.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 7.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes